Loading ...
Sorry, an error occurred while loading the content.

Re: compile error by updating from 7.3.718 to 7.3.728

Expand Messages
  • Ike Devolder
    ... there is a patch for that by Ken Takata in the 7.3.721 thread --Ike -- You received this message from the vim_dev maillist. Do not top-post! Type your
    Message 1 of 2 , Nov 24, 2012
    • 0 Attachment
      Op vrijdag 23 november 2012 19:28:52 schreef Cesar Romani:
      > I'm building vim on windows 7 with mingw.
      > By updating it from 7.3.718 to 7.3.728 I got:
      >
      > --------------------
      > [...]
      > if_ruby.c:339:21: error: static declaration of 'rb_num2long_stub'
      > follows non-static declaration
      > c:/ruby193/include/ruby-1.9.1/ruby/ruby.h:502:14: note: previous
      > declaration of 'rb_num2long_stub' was here
      > if_ruby.c:343:14: error: static declaration of 'rb_int2big_stub' follows
      > non-static declaration
      > c:/ruby193/include/ruby-1.9.1/ruby/intern.h:96:7: note: previous
      > declaration of 'rb_int2big_stub' was here
      > make: *** [gobjZi386/if_ruby.o] Error 1
      > Error by compiling gvim.exe
      > --------------------
      >
      > Many thanks in advance,

      there is a patch for that by Ken Takata in the 7.3.721 thread

      --Ike

      --
      You received this message from the "vim_dev" maillist.
      Do not top-post! Type your reply below the text you are replying to.
      For more information, visit http://www.vim.org/maillist.php
    Your message has been successfully submitted and would be delivered to recipients shortly.